## cgsi-gsoap 1.3.3.2

=== src/Makefile ===
##
# $Id: Makefile,v 1.24 2009/08/26 15:12:08 szamsu Exp $
##

ifeq ($(SRCDIR), $(EMPTY))
SRCDIR=.
else
VPATH=.:$(SRCDIR)
endif


################################################################################
## implicit rule flags ##
SHELL = /bin/sh
CC = gcc
CPP = g++
CFLAGS = -Wall -g -fPIC
LDFLAGS =
RANLIB = ranlib
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc 

# gSOAP 2.7.10 has introduced a virtual destructor, which inserts
# a pointer to the VMT at the beginning of the 'soap' structure,
# making the C and C++ versions of the code binary incompatible,
# so we need to build C++ flavour of the libraries as well:
#WITH_CPP_LIBS = yes

################################################################################
## project flags ##

ifeq ($(GLOBUS_LOCATION), $(EMPTY))
GLOBUS_LOCATION=/opt/globus
endif

ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
GLOBUS_FLAVOUR = gcc32dbgthr
endif

GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr

GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR)
GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR) \
	-lglobus_gss_assist_$(GLOBUS_FLAVOUR)

GLOBUS_INCLUDE_PTHR = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR_PTHR)
GLOBUS_LIBS_PTHR = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR) \
        -lglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR)

ifeq ($(GSOAP_LOCATION), $(EMPTY))
GSOAP_LOCATION=/usr/local
endif
GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include

ifeq ($(GSOAP_VERSION), $(EMPTY))
GSOAP_VERSION=_gsoap_2.7
endif

# major version number for shared library names
VMAJOR=$(shell echo $(VERSION) | cut -f1 -d.)


# initial settings
CFLAGS += -I. $(GSOAP_INCLUDE) -I$(SRCDIR)

ifeq ($(VOMS_LOCATION), $(EMPTY))
VOMS_LOCATION=/opt/glite
endif

ifeq ($(LIBDIR), $(EMPTY))
LIBDIR=lib
endif

ifneq ($(USE_VOMS), $(EMPTY))
VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR)

VOMS_FLAGS_PTHR = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS_PTHR=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR_PTHR)
endif

#CFLAGS += $(VOMS_FLAGS)
#LDLIBS += $(VOMS_LIBS)

# NO ! the libs should not be added at link time so that the
#users of CGSI_GSOAP can choose the ones they need to use
#SHLIBREQLIBS += $(LDLIBS)

################################################################################
## compilation targets ##
.PHONY: all


all: libcgsi_plugin$(GSOAP_VERSION).a libcgsi_plugin$(GSOAP_VERSION).so

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
all: libcgsi_plugin$(GSOAP_VERSION)_cpp.a libcgsi_plugin$(GSOAP_VERSION)_cpp.so
endif

ifneq ($(USE_VOMS), $(EMPTY))
all: \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
ifneq ($(WITH_CPP_LIBS), $(EMPTY))
all: \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a \
	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
endif
endif




# dependencies
cgsi_plugin.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION).a: cgsi_plugin.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION).so: cgsi_plugin.o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)


ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION)_cpp.a: cgsi_plugin_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION)_cpp.so: cgsi_plugin_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)
endif

ifneq ($(USE_VOMS), $(EMPTY))
cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS_PTHR)  $(GLOBUS_INCLUDE_PTHR) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS_PTHR)

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(VOMS_FLAGS_PTHR)  $(GLOBUS_INCLUDE_PTHR) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS)
endif

endif

doc: doxygenConfig
	SRCDIR=$(SRCDIR) VERSION=$(VERSION) doxygen $<

###############################################
## THIS IS STANDARD Makefile BELOW THIS LINE ##
###############################################

################################################################################

# Usage example: make install PREFIX=/usr/local

# installation directories defaults are generic unix
PPREFIX=/usr
PREFIX =$(RPM_BUILD_ROOT)$(PPREFIX)# could be /usr/local but you may not have perms
INCDIR =include
BINDIR =bin
MANDIR =share
DOCDIR =share/doc/CGSI$(GSOAP_VERSION)

# insert space separated files to install (used for cleaning too) here
LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
endif

ifneq ($(USE_VOMS), $(EMPTY))
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
endif
endif

INCFILES =cgsi_plugin.h

INSTALL_FLAGS =

# install targets
ifneq ($(USE_VOMS), $(EMPTY))
installtargets = installinc installlib installbin installman installdoc installshlib installshlibvoms installshlibvomspthr
else
installtargets = installinc installlib installbin installman installdoc installshlib
endif

.PHONY: uninstall install $(installtargets)
install: $(INCFILES) $(LIBFILES) $(SHLIBFILES) doc
	install -d $(PREFIX)/$(INCDIR)
	for i in $(INCFILES); do cp $(SRCDIR)/$$i $(PREFIX)/$(INCDIR); done
	install -d $(PREFIX)/$(LIBDIR)
	for l in $(LIBFILES); do cp $$l $(PREFIX)/$(LIBDIR)/$$l; done
	for l in $(SHLIBFILES); do \
		cp $$l $(PREFIX)/$(LIBDIR)/$$l.$(VERSION); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l.$(VMAJOR)); \
		done
	mkdir -p $(PREFIX)/share
	cp -r man $(PREFIX)/share/
	mkdir -p $(PREFIX)/$(DOCDIR)
	cp -r html $(PREFIX)/$(DOCDIR)/


################################################################################
## clean up ##
.PHONY: clean
clean:
# files vars are specified in install
	-$(RM) *.o $(LIBFILES) $(SHLIBFILES)


################################################################################
## help ## OK now I am going really over the top here :)
.PHONY: help
help:
	@echo -e "\n" \
	"\ttarget\t| description \n" \
	"\t================================================================\n" \
	"\tall\t| Makes the gsoap binaries.\n" \
	"\t\t|\n" \

## cgsi-gsoap 1.3.4.0

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# $Id: Makefile,v 1.24 2009/08/26 15:12:08 szamsu Exp $
+# $Id: Makefile 2169 2010-08-03 15:18:07Z baud $
 ##
 
 ifeq ($(SRCDIR), $(EMPTY))
@@ -34,7 +34,7 @@
 endif
 
 ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
-GLOBUS_FLAVOUR = gcc32dbgthr
+GLOBUS_FLAVOUR = gcc32dbg
 endif
 
 GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr

=== debian/changelog ===
cgsi-gsoap (1.3.4.0-1) unstable; urgency=low

  * Update to version 1.3.4.0.
  * Convert to source format 3.0.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Dec 2010 18:59:30 +0100

cgsi-gsoap (1.3.3.2-1) unstable; urgency=low

  * Update to version 1.3.3.2 (Closes: #515226).
  * Change copyright file to reflect upstream license change.
  * Drop the patches - all applied upstream.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 23 Sep 2009 18:03:11 +0200

cgsi-gsoap (1.3.3.1-1) UNRELEASED; urgency=low

  * Update to version 1.3.3.1.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 13:10:34 +0200

cgsi-gsoap (1.3.2.2-3) UNRELEASED; urgency=low

  * Changing deprecated Source:Version to binary:Version
    as requested by ftpmasters.
  * Overriding lintian warning about non-matching soname with package name.

 -- Steffen Moeller <moeller@debian.org>  Mon, 30 Mar 2009 00:02:00 +0200

cgsi-gsoap (1.3.2.2-2) UNRELEASED; urgency=low

  * Initial package uploaded.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Jan 2009 00:57:22 +0100

=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen
Standards-Version: 3.9.1
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/workarea/browser/T5.2/debian-distribution/cgsi-gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/workarea/T5.2/debian-distribution/cgsi-gsoap

Package: libcgsi-gsoap1
Provides: cgsi-gsoap1
Replaces: cgsi-gsoap1 (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Provides: cgsi-gsoap-dev
Replaces: cgsi-gsoap-dev (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
Section: libdevel
Architecture: any
Depends: libcgsi-gsoap1 (= ${binary:Version}), gsoap, ${misc:Depends}
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_datadir = $(_prefix)/share
_docdir = $(_datadir)/doc

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	[ ! -e src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :

	sed -e /PTHR/d \
	    -e 's!_$$(GLOBUS_FLAVOUR)!!g' \
	    -e 's!-L$$([A-Z_]*)/lib!!' \
	    -e 's!-L$$([A-Z_]*)/$$(LIBDIR)!!' \
	    -e 's!\(GLOBUS_INCLUDE *= *\).*!\1-I/usr/include/globus -I/usr/$$(LIBDIR)/globus/include -I/usr/kerberos/include!' \
	    -e 's!\(GSOAP_INCLUDE *= *\).*!\1!' \
	    -e 's!\(GSOAP_VERSION *= *\).*!\1!' \
	    -e 's!-I$$(VOMS_LOCATION)/include/glite/security/voms!-I/usr/include/voms!' \
	    -e 's!\.so \\$$!.so!' \
	    -e s/installshlibvomspthr// -i src/Makefile
	sed -e :a -e '/^$$/N;/\n.*$$(AR)/d;ta' -e 'P;D' -i src/Makefile
	sed -e :a -e '/^$$/N;/\n.*$$(RANLIB)/d;ta' -e 'P;D' -i src/Makefile

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	. ./VERSION && \
	cd src && \
	$(MAKE) USE_VOMS=yes WITH_CPP_LIBS=yes LIBDIR=lib VERSION=$$VERSION

	touch $@

clean:
	dh_testdir
	dh_testroot

	. ./VERSION && \
	cd src && \
	$(MAKE) USE_VOMS=yes WITH_CPP_LIBS=yes LIBDIR=lib VERSION=$$VERSION \
	    clean

	rm -rf src/html
	rm -rf src/man

	[ -e src/Makefile.save ] && mv src/Makefile.save src/Makefile || :

	rm -f build-stamp configure-stamp

	dh_clean 

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 

	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR

	. ./VERSION && \
	cd src && \
	$(MAKE) USE_VOMS=yes WITH_CPP_LIBS=yes LIBDIR=lib VERSION=$$VERSION \
	    RPM_BUILD_ROOT=$(INSTALLDIR) install

	mv $(INSTALLDIR)$(_docdir)/CGSI $(INSTALLDIR)$(_docdir)/cgsi-gsoap-dev

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libcgsi-gsoap1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

VERSION=1.3.4.0
VERSTAG=1_3_4_0
get-orig-source:
	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
	else \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/glite-security-cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
	  echo "Packing it up." ; \
	  tar --exclude .svn -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
	    cgsi-gsoap-$(VERSION) ; \
	  echo "Cleaning up." ; \
	  rm -rf cgsi-gsoap-$(VERSION) ; \
	fi

.Phony: build clean binary-indep binary-arch binary install configure get-orig-source

## cgsi-gsoap 1.3.4.2

=== debian/changelog ===
cgsi-gsoap (1.3.4.2-4) unstable; urgency=low

  * Properly use default LDFLAGS

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Dec 2011 21:49:27 +0100

cgsi-gsoap (1.3.4.2-3) unstable; urgency=low

  * Convert copyright file to dep5 format
  * Fix old Vcs links in debian/control file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Nov 2011 06:33:17 +0100

cgsi-gsoap (1.3.4.2-2) unstable; urgency=low

  * Use dpkg's build flags
  * Add versioned gsoap dependencies to the binary packages

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 02 Nov 2011 10:39:21 +0100

cgsi-gsoap (1.3.4.2-1) unstable; urgency=low

  * Update to version 1.3.4.2.
  * Build against new gsoap (Closes: #636878).
  * Build against new voms.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Sep 2011 21:06:28 +0200

=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen, pkg-config
Standards-Version: 3.9.2
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/cgsi-gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/cgsi-gsoap

Package: libcgsi-gsoap1
Provides: cgsi-gsoap1
Replaces: cgsi-gsoap1 (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gsoap:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Provides: cgsi-gsoap-dev
Replaces: cgsi-gsoap-dev (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
Section: libdevel
Architecture: any
Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}, gsoap
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_datadir = $(_prefix)/share
_docdir = $(_datadir)/doc

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	[ ! -e src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :

	# Fix bad permissions
	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
		   -name '*.cc' ')' -exec chmod 644 {} ';'
	chmod 644 LICENSE RELEASE-NOTES

	# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
	sed -e 's!-L$$([A-Z_]*)/lib!!' \
	    -e 's!-L$$([A-Z_]*)/$$(LIBDIR)!!' -i src/Makefile

	# Remove gsoap version from library names
	sed -e 's!$$(GSOAP_VERSION)!!g' -i src/Makefile

	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION all doc

	touch $@

clean:
	dh_testdir
	dh_testroot

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION clean

	rm -rf src/html
	rm -rf src/man

	[ -e src/Makefile.save ] && mv src/Makefile.save src/Makefile || :

	rm -f build-stamp configure-stamp

	dh_clean 

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 

	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION \
		RPM_BUILD_ROOT=$(INSTALLDIR) install install.man

	mv $(INSTALLDIR)$(_docdir)/CGSI $(INSTALLDIR)$(_docdir)/cgsi-gsoap-dev

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libcgsi-gsoap1/usr/lib

	GSOAPLIB=`readlink /usr/lib/libgsoap.so` && \
	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1.substvars

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

VERSION=1.3.4.2
VERSTAG=1_3_4_2
get-orig-source:
	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
	else \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
	  echo "Packing it up." ; \
	  tar --exclude .svn -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
	    cgsi-gsoap-$(VERSION) ; \
	  echo "Cleaning up." ; \
	  rm -rf cgsi-gsoap-$(VERSION) ; \
	fi

.Phony: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## cgsi-gsoap 1.3.5

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2010.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Jean-Philippe Baud <Jean-Philippe.Baud@cern.ch>
#

default: all

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=.$(shell ../get-platform-os)
endif

REQUIRES.GLOBUS =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "globus-gss-assist" ; else echo "vdt_globus_essentials"; fi;)
REQUIRES.VOMS =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "voms" ; else echo "glite-security-voms-api-cpp"; fi;)

VPACKAGE=CGSI_gSOAP_2.7-$(VERSION)
VPACKAGE_TAR=$(VPACKAGE).tar.gz
BUILD_CGSI=build-rpm/BUILD/$(VPACKAGE)

all: rpm
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: $(BUILD_CGSI)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_CGSI); $(MAKE) PREFIX=$(prefix) install install.man

rpm: build-rpm 
	cd build-rpm; rpmbuild --define "_topdir $(PWD)/build-rpm" -ba SPECS/cgsi-gsoap.spec

build-rpm: $(VPACKAGE_TAR)
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(VPACKAGE_TAR) build-rpm/SOURCES/
	sed -e 's/@VERSION@/$(VERSION)/g;' \
	    -e 's/@RELEASE@/$(RELEASE)/g; ' \
	    -e 's/@RELEASE.SUFFIX@/$(RELEASE_SUFFIX)/g;' \
	    -e 's/@REQUIRES.GLOBUS@/$(REQUIRES.GLOBUS)/g;' \
	    -e 's/@REQUIRES.VOMS@/$(REQUIRES.VOMS)/g;' \
		cgsi-gsoap.spec >build-rpm/SPECS/cgsi-gsoap.spec
	cat ../RELEASE-NOTES >>build-rpm/SPECS/cgsi-gsoap.spec

$(VPACKAGE_TAR):
	cd ..; \
	rm -rf $(VPACKAGE); \
	mkdir -p $(VPACKAGE); \
	cp -ur configure RELEASE-NOTES VERSION src $(VPACKAGE)/; \
	find $(VPACKAGE)/ -name .svn -print0 | xargs -r -0 rm -rf; \
	tar -czf $(VPACKAGE_TAR) $(VPACKAGE); \
	rm -rf $(VPACKAGE)
	mv ../$(VPACKAGE_TAR) .

clean:
	rm -rf $(VPACKAGE_TAR) build-rpm

distclean:
	rm -rf ../RPMS

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# $Id: Makefile 2169 2010-08-03 15:18:07Z baud $
+# $Id: Makefile 2697 2010-12-16 09:21:36Z baud $
 ##
 
 ifeq ($(SRCDIR), $(EMPTY))
@@ -30,7 +30,11 @@
 ## project flags ##
 
 ifeq ($(GLOBUS_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
 GLOBUS_LOCATION=/opt/globus
+else
+GLOBUS_LOCATION=/usr
+endif
 endif
 
 ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
@@ -39,6 +43,40 @@
 
 GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr
 
+ifeq ($(GSOAP_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
+GSOAP_LOCATION=/usr/local
+else
+GSOAP_LOCATION=/usr
+endif
+endif
+GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include
+
+ifeq ($(GSOAP_VERSION), $(EMPTY))
+GSOAP_VERSION=_gsoap_2.7
+endif
+
+LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
+SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so
+
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
+SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
+endif
+
+ifneq ($(WITH_EMI), $(EMPTY))
+GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(LIBDIR)/globus/include
+GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/$(LIBDIR) -lglobus_gssapi_gsi -lglobus_gss_assist
+
+ifneq ($(USE_VOMS), $(EMPTY))
+LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).a
+SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).so
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a
+SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so
+endif
+endif
+else
 GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR)
 GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR) \
 	-lglobus_gss_assist_$(GLOBUS_FLAVOUR)
@@ -47,13 +85,18 @@
 GLOBUS_LIBS_PTHR = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR) \
         -lglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR)
 
-ifeq ($(GSOAP_LOCATION), $(EMPTY))
-GSOAP_LOCATION=/usr/local
-endif
-GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include
-
-ifeq ($(GSOAP_VERSION), $(EMPTY))
-GSOAP_VERSION=_gsoap_2.7
+ifneq ($(USE_VOMS), $(EMPTY))
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
+endif
+endif
 endif
 
 # major version number for shared library names
@@ -61,10 +104,14 @@
 
 
 # initial settings
-CFLAGS += -I. $(GSOAP_INCLUDE) -I$(SRCDIR)
+CFLAGS += -I. -I$(SRCDIR) $(GSOAP_INCLUDE)
 
 ifeq ($(VOMS_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
 VOMS_LOCATION=/opt/glite
+else
+VOMS_LOCATION=/usr
+endif
 endif
 
 ifeq ($(LIBDIR), $(EMPTY))
@@ -72,11 +119,16 @@
 endif
 
 ifneq ($(USE_VOMS), $(EMPTY))
+ifneq ($(WITH_EMI), $(EMPTY))
+VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/voms
+VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi
+else
 VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
 VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR)
 
 VOMS_FLAGS_PTHR = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
 VOMS_LIBS_PTHR=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR_PTHR)
+endif
 endif
 
 #CFLAGS += $(VOMS_FLAGS)
@@ -90,30 +142,7 @@
 ## compilation targets ##
 .PHONY: all
 
-
-all: libcgsi_plugin$(GSOAP_VERSION).a libcgsi_plugin$(GSOAP_VERSION).so
-
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-all: libcgsi_plugin$(GSOAP_VERSION)_cpp.a libcgsi_plugin$(GSOAP_VERSION)_cpp.so
-endif
-
-ifneq ($(USE_VOMS), $(EMPTY))
-all: \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-all: \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
-endif
-endif
-
-
-
+all: $(LIBFILES) $(SHLIBFILES)
 
 # dependencies
 cgsi_plugin.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
@@ -140,6 +169,16 @@
 endif
 
 ifneq ($(USE_VOMS), $(EMPTY))
+cgsi_plugin_voms.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
+	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
+
+libcgsi_plugin_voms$(GSOAP_VERSION).a: cgsi_plugin_voms.o
+	$(AR) $(ARFLAGS) $@ $?
+	$(RANLIB) $@
+
+libcgsi_plugin_voms$(GSOAP_VERSION).so: cgsi_plugin_voms.o
+	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)
+
 cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
 	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
 
@@ -161,6 +200,16 @@
 	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS_PTHR)
 
 ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+cgsi_plugin_voms_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
+	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
+
+libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a: cgsi_plugin_voms_cpp.o
+	$(AR) $(ARFLAGS) $@ $?
+	$(RANLIB) $@
+
+libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so: cgsi_plugin_voms_cpp.o
+	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)
+
 cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
 	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
 
@@ -203,28 +252,6 @@
 MANDIR =share
 DOCDIR =share/doc/CGSI$(GSOAP_VERSION)
 
-# insert space separated files to install (used for cleaning too) here
-LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
-SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so
-
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
-SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
-endif
-
-ifneq ($(USE_VOMS), $(EMPTY))
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
-endif
-endif
-
 INCFILES =cgsi_plugin.h
 
 INSTALL_FLAGS =
@@ -237,7 +264,7 @@
 endif
 
 .PHONY: uninstall install $(installtargets)
-install: $(INCFILES) $(LIBFILES) $(SHLIBFILES) doc
+install: $(INCFILES) $(LIBFILES) $(SHLIBFILES)
 	install -d $(PREFIX)/$(INCDIR)
 	for i in $(INCFILES); do cp $(SRCDIR)/$$i $(PREFIX)/$(INCDIR); done
 	install -d $(PREFIX)/$(LIBDIR)
@@ -247,6 +274,7 @@
 		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l); \
 		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l.$(VMAJOR)); \
 		done
+install.man: doc
 	mkdir -p $(PREFIX)/share
 	cp -r man $(PREFIX)/share/
 	mkdir -p $(PREFIX)/$(DOCDIR)

=== debian/changelog ===
cgsi-gsoap (1.3.5-3) unstable; urgency=low

  * Adapt to multi-arch Globus installation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 04:49:07 +0100

cgsi-gsoap (1.3.5-2) unstable; urgency=low

  * Rebuild for new gsoap
  * Remove DM-Upload-Allowed from debian/control

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 15 May 2013 16:59:13 +0200

cgsi-gsoap (1.3.5-1) unstable; urgency=low

  * Update to version 1.3.5 (EMI 2 version)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 May 2012 13:28:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen, pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/cgsi-gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/cgsi-gsoap

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -10,7 +12,6 @@
 _docdir = $(_datadir)/doc
 
 configure: configure-stamp
-	:
 
 configure-stamp:
 	dh_testdir
@@ -32,20 +33,18 @@
 	touch $@
 
 build: build-indep build-arch
-	:
 
 build-indep: build-stamp
-	:
 
 build-arch: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION all doc
@@ -58,7 +57,8 @@
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION clean
@@ -70,18 +70,19 @@
 
 	rm -f build-stamp configure-stamp
 
-	dh_clean 
+	dh_clean
 
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 
 	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION \
@@ -90,7 +91,6 @@
 	mv $(INSTALLDIR)$(_docdir)/CGSI $(INSTALLDIR)$(_docdir)/cgsi-gsoap-dev
 
 binary-indep:
-	:
 
 binary-arch: install
 	dh_testdir
@@ -108,7 +108,9 @@
 	dh_installdeb
 	dh_shlibdeps -l debian/libcgsi-gsoap1/usr/lib
 
-	GSOAPLIB=`readlink /usr/lib/libgsoap.so` && \
+	if [ -r /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so ] ; then \
+	GSOAPLIB=`readlink /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so` ; else \
+	GSOAPLIB=`readlink /usr/lib/libgsoap.so` ; fi && \
 	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
 	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1.substvars
 
@@ -117,21 +119,20 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-	:
 
-VERSION=1.3.4.2
-VERSTAG=1_3_4_2
+VERSION=1.3.5
+VERSTAG=1_3_5_2
 get-orig-source:
 	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
 	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
 	else \
 	  echo "Fetching upstream svn version" ; \
-	  svn co http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
+	  svn export http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
 	  echo "Packing it up." ; \
-	  tar --exclude .svn -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
+	  tar -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
 	    cgsi-gsoap-$(VERSION) ; \
 	  echo "Cleaning up." ; \
 	  rm -rf cgsi-gsoap-$(VERSION) ; \
 	fi
 
-.Phony: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
+.Phony: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## cgsi-gsoap 1.3.6

=== CMakeLists.txt ===
## cmake build script for cgsi GSOAP
## @author Devresse Adrien

project (cgsi-gsoap)
cmake_minimum_required (VERSION 2.6)

# build type
set(CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "build type")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
# load module
include(DefineInstallationPaths REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)

find_package(PkgConfig REQUIRED)

#enable testing
INCLUDE(CTest)


set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
set(VERSION_MAJOR 1)
set(VERSION_MINOR 3)
set(VERSION_PATCH 6)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})



# libs checks
pkg_check_modules(GSOAP_PKG REQUIRED gsoap)
pkg_search_module(VOMS_PKG REQUIRED voms-2.0 voms)
pkg_check_modules(GLOBUS_ASSIST_PKG REQUIRED globus-gss-assist)
pkg_check_modules(GLOBUS_GSSAPI_GSI_PKG REQUIRED globus-gssapi-gsi)

## general def
add_definitions( -D_GNU_SOURCE)
add_definitions( -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64)

install(FILES RELEASE-NOTES
		DESTINATION ${DOC_INSTALL_DIR}/) # install release notes
install(FILES LICENSE
		DESTINATION ${DOC_INSTALL_DIR}/) # install release notes

add_subdirectory (src)

=== src/CMakeLists.txt ===
## default set of build

	


## defaults sources
SET(src_core_csgsi "cgsi_plugin.c")
SET(src_core_cgsi_header "cgsi_plugin.h")
SET(src_core_csgsi_cpp "${CMAKE_CURRENT_BINARY_DIR}/cgsi_plugin.cpp")

# create cpp one
configure_file(${src_core_csgsi} ${src_core_csgsi_cpp}
                 COPYONLY )
configure_file(${src_core_cgsi_header} ${src_core_cgsi_header_cpp}
COPYONLY )

# C
# globus
include_directories( " . " " /usr/include/voms " ${GSOAP_PKG_INCLUDES_DIR} ${VOMS_PKG_INCLUDE_DIRS} ${GLOBUS_ASSIST_PKG_INCLUDE_DIRS} )
add_definitions( ${GSOAP_PKG_CFLAGS} ${GLOBUS_ASSIST_PKG_CFLAGS} )
add_library(cgsi_plugin  SHARED ${src_core_csgsi}  )

target_link_libraries(cgsi_plugin ${GLOBUS_GSSAPI_GSI_PKG_LIBRARIES} ${GLOBUS_ASSIST_PKG_LIBRARIES} "c" )

set_target_properties(cgsi_plugin	 	PROPERTIES
								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
								SOVERSION ${VERSION_MAJOR}
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "cgsi_plugin"						
)

# voms
add_library(cgsi_plugin_voms  SHARED ${src_core_csgsi}  )

target_link_libraries(cgsi_plugin_voms ${GLOBUS_GSSAPI_GSI_PKG_LIBRARIES} ${VOMS_PKG_LIBRARIES}  ${GLOBUS_ASSIST_PKG_LIBRARIES} "c" )

set_target_properties(cgsi_plugin_voms	 	PROPERTIES
								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
								SOVERSION ${VERSION_MAJOR}
								CLEAN_DIRECT_OUTPUT 1
								COMPILE_FLAGS " -DUSE_VOMS ${VOMS_PKG_CFLAGS}"
								OUTPUT_NAME "cgsi_plugin_voms"						
)


## C++
# globus
include_directories( "-I." "-I/usr/include/voms" ${GSOAP_PKG_INCLUDES_DIR} ${VOMS_PKG_INCLUDE_DIRS} ${GLOBUS_ASSIST_PKG_INCLUDE_DIRS} )
add_definitions( ${GSOAP_PKG_CFLAGS} ${VOMS_PKG_CFLAGS} ${GLOBUS_ASSIST_PKG_CFLAGS} )
add_library(cgsi_plugi_cpp  SHARED ${src_core_csgsi_cpp}  )

target_link_libraries(cgsi_plugi_cpp ${GLOBUS_GSSAPI_GSI_PKG_LIBRARIES} ${GLOBUS_ASSIST_PKG_LIBRARIES} "c" )

set_target_properties(cgsi_plugi_cpp	 	PROPERTIES
								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
								SOVERSION ${VERSION_MAJOR}
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "cgsi_plugin_cpp"						
)

# voms
add_library(cgsi_plugin_voms_cpp  SHARED ${src_core_csgsi_cpp}  )

target_link_libraries(cgsi_plugin_voms_cpp ${VOMS_PKG_LIBRARIES} ${GLOBUS_GSSAPI_GSI_PKG_LIBRARIES} ${GLOBUS_ASSIST_PKG_LIBRARIES} "c" )

set_target_properties(cgsi_plugin_voms_cpp	 	PROPERTIES
								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
								SOVERSION ${VERSION_MAJOR}
								CLEAN_DIRECT_OUTPUT 1
								COMPILE_FLAGS " -DUSE_VOMS ${VOMS_PKG_CFLAGS}"
								OUTPUT_NAME "cgsi_plugin_voms_cpp"						
)




install(TARGETS cgsi_plugin cgsi_plugin_voms cgsi_plugi_cpp cgsi_plugin_voms_cpp
		RUNTIME       DESTINATION ${BIN_INSTALL_DIR}
		LIBRARY       DESTINATION ${LIB_INSTALL_DIR} )

install(FILES 	"cgsi_plugin.h"
		DESTINATION ${INCLUDE_INSTALL_DIR}/)

=== debian/changelog ===
cgsi-gsoap (1.3.6-1) unstable; urgency=medium

  * Update to version 1.3.6
  * Add @brief description to header file - fixes manpage (Closes: #630033)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Jun 2014 16:45:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure-stamp:
 	dh_testdir
 
-	[ ! -e src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :
+	[ ! -r src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :
 
 	# Fix bad permissions
 	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
@@ -66,7 +66,10 @@
 	rm -rf src/html
 	rm -rf src/man
 
-	[ -e src/Makefile.save ] && mv src/Makefile.save src/Makefile || :
+	rm -rf src/*.a
+	rm -rf src/*.so
+
+	[ -r src/Makefile.save ] && mv src/Makefile.save src/Makefile || :
 
 	rm -f build-stamp configure-stamp
 
@@ -120,8 +123,8 @@
 
 binary: binary-indep binary-arch
 
-VERSION=1.3.5
-VERSTAG=1_3_5_2
+VERSION=1.3.6
+VERSTAG=1_3_6
 get-orig-source:
 	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
 	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \

## cgsi-gsoap 1.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 6)
+set(VERSION_PATCH 7)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== debian/changelog ===
cgsi-gsoap (1.3.7-1build2) wily; urgency=medium

  * No-change rebuild against libvomsapi1v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:35:42 +0200

cgsi-gsoap (1.3.7-1build1) wily; urgency=medium

  * No change rebuild for new libgsoap7

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 21:05:46 -0500

cgsi-gsoap (1.3.7-1) unstable; urgency=medium

  * Update to version 1.3.7
  * Add dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 16:46:32 +0100

## cgsi-gsoap 1.3.8

=== CMakeLists.txt ===
## cmake build script for cgsi GSOAP
## @author Devresse Adrien

project (cgsi-gsoap)
cmake_minimum_required (VERSION 2.6)

# build type
set(CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "build type")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
# load module
include(DefineInstallationPaths REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)

find_package(PkgConfig REQUIRED)

#enable testing
INCLUDE(CTest)


set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
set(VERSION_MAJOR 1)
set(VERSION_MINOR 3)
set(VERSION_PATCH 8)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})


# libs checks
find_package(gSOAP REQUIRED)
find_package(VOMS REQUIRED)
find_package(Globus_COMMON REQUIRED)
find_package(Globus_GSSAPI_GSI REQUIRED)
find_package(Globus_GSS_ASSIST REQUIRED)
find_package(Globus_GSI_CERT_UTILS REQUIRED)
find_package(Globus_GSI_CREDENTIAL REQUIRED)

## general def
add_definitions(-D_GNU_SOURCE)
add_definitions(-D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64)

install(FILES README readme.html
    DESTINATION ${DOC_INSTALL_DIR}/)
install(FILES RELEASE-NOTES
		DESTINATION ${DOC_INSTALL_DIR}/)
install(FILES LICENSE
		DESTINATION ${DOC_INSTALL_DIR}/)

add_subdirectory (src)

=== src/CMakeLists.txt ===
## default set of build


## defaults sources
SET(src_core_csgsi "cgsi_plugin.c")
SET(src_core_cgsi_header "cgsi_plugin.h")
SET(src_core_csgsi_cpp "${CMAKE_CURRENT_BINARY_DIR}/cgsi_plugin.cpp")

# create cpp one
configure_file(
    ${src_core_csgsi} ${src_core_csgsi_cpp}
    COPYONLY
)

# C
# globus
include_directories( " . " " /usr/include/voms "
    ${GSOAP_INCLUDES_DIR}
    ${VOMS_INCLUDE_DIRS}
    ${GLOBUS_GSSAPI_GSI_INCLUDE_DIRS}
    ${GLOBUS_GSS_ASSIST_INCLUDE_DIRS}
)
add_definitions(${GSOAP_DEFINITIONS} ${GLOBUS_GSSAPI_GSI_DEFINITIONS} ${GLOBUS_GSS_ASSIST_DEFINITIONS})

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin STATIC ${src_core_csgsi})
else ()
    add_library(cgsi_plugin SHARED ${src_core_csgsi})
endif ()

target_link_libraries(cgsi_plugin
    ${GLOBUS_COMMON_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${GLOBUS_GSI_CERT_UTILS_LIBRARIES}
    ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
    SOVERSION ${VERSION_MAJOR}
    CLEAN_DIRECT_OUTPUT 1
    OUTPUT_NAME "cgsi_plugin"						
)

# voms
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_voms STATIC ${src_core_csgsi})
else ()
    add_library(cgsi_plugin_voms SHARED ${src_core_csgsi})
endif ()

target_link_libraries(cgsi_plugin_voms
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${VOMS_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_voms PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
	SOVERSION ${VERSION_MAJOR}
	CLEAN_DIRECT_OUTPUT 1
	COMPILE_FLAGS " -DUSE_VOMS " 
	OUTPUT_NAME "cgsi_plugin_voms"						
)


## C++
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_cpp STATIC ${src_core_csgsi_cpp})
else ()
    add_library(cgsi_plugin_cpp SHARED ${src_core_csgsi_cpp})
endif ()

target_link_libraries(cgsi_plugin_cpp
    ${GLOBUS_COMMON_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${GLOBUS_GSI_CERT_UTILS_LIBRARIES}
    ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_cpp PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
    SOVERSION ${VERSION_MAJOR}
    CLEAN_DIRECT_OUTPUT 1
    OUTPUT_NAME "cgsi_plugin_cpp"						
)

# voms
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_voms_cpp STATIC ${src_core_csgsi_cpp})
else ()
    add_library(cgsi_plugin_voms_cpp SHARED ${src_core_csgsi_cpp})
endif ()

target_link_libraries(cgsi_plugin_voms_cpp
    ${VOMS_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_voms_cpp PROPERTIES
	VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
	SOVERSION ${VERSION_MAJOR}
	CLEAN_DIRECT_OUTPUT 1
	COMPILE_FLAGS " -DUSE_VOMS " 
	OUTPUT_NAME "cgsi_plugin_voms_cpp"						
)

install(TARGETS cgsi_plugin cgsi_plugin_voms cgsi_plugin_cpp cgsi_plugin_voms_cpp
		RUNTIME       DESTINATION ${BIN_INSTALL_DIR}
		LIBRARY       DESTINATION ${LIB_INSTALL_DIR}
        ARCHIVE       DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES 	"cgsi_plugin.h"
		DESTINATION ${INCLUDE_INSTALL_DIR}/)

=== debian/changelog ===
cgsi-gsoap (1.3.8-1build2) yakkety; urgency=medium

  * No-change rebuild for libgsoap soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 13:41:25 +0000

cgsi-gsoap (1.3.8-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:27 +0000

cgsi-gsoap (1.3.8-1) unstable; urgency=medium

  * Update to version 1.3.8
  * Implement Multi-Arch
  * Export SOURCE_DATE_EPOCH for reproducible builds

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Aug 2015 02:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/cgsi-gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/cgsi-gsoap
@@ -13,6 +13,7 @@
 Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${gsoap:Depends}
 Description: GSI plugin for gSOAP
  This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
@@ -24,7 +25,17 @@
 Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}, gsoap
 Description: GSI plugin for gSOAP - development files
  This package provides the header files for programming with the cgsi-gsoap
  plugins.
+
+Package: libcgsi-gsoap-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}
+Description: GSI plugin for gSOAP - debug symbols
+ This package provides the debug symbols for the libcgsi-gsoap1 package.
